## org.apache.catalina
Interface Contained

All Known Implementing Classes:
  StandardPipeline, ValveBase

public interface Contained

Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 23:24:41 +0100 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan, Peter Donald

Method Summary
`Container` `getContainer()` Return the `Container` with which this instance is associated (if any); otherwise return `null`.
`void` `setContainer(Container container)` Set the `Container` with which this instance is associated.

Method Detail

### getContainer

    public Container getContainer()

  Return the `Container` with which this instance is associated (if any); otherwise return `null`.

### setContainer

    public void setContainer(Container container)

  Set the `Container` with which this instance is associated.

  Parameters:
    `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.